/* ########## NAVIGATION ########## */
nav {
  position: relative;
  display: inline-block;
  float: right;
  margin-right: 30px;

  ul {
    position: relative;
    list-style-type: none;
    margin: 0;
    padding: 0;

    li:not(.underline) {
      display: inline-block;
      padding: 0 16px;
      font-size: 1.1rem;

      &:last-of-type {
        padding-left: 0;
      }

      .vr {
        background: $whitest_white;
        height: 18px;
        width: 2px;
        display: inline-block;
        position: relative;
        top: 2px;
        margin-right: 16px;
      }

      // home active
      &:nth-of-type(1).active ~ .underline {
        left: 16px;
        width: 48px;
      }

      // projects active
      &:nth-of-type(2).active ~ .underline {
        left: 100px;
        width: 61px;
      }

      // contact active
      &:nth-of-type(3).active ~ .underline {
        left: 199px;
        width: 60px;
      }

      // home hover
      &:nth-of-type(1):hover ~ .underline {
        left: 16px;
        width: 48px;
      }

      // projects hover
      &:nth-of-type(2):hover ~ .underline {
        left: 100px;
        width: 61px;
      }

      // contact hover
      &:nth-of-type(3):hover ~ .underline {
        left: 199px;
        width: 60px;
      }


      #lang-list {
        height: 23px;
        overflow: hidden;
        display: inline-block;
        top: 4px;
        position: relative;

        span {
          display: block;
          transition: all 300ms;
        }

        &:hover span:first-of-type {
          margin-top: -23px;
          transition: all 300ms;
        }
      }
    }
  }

  .underline {
    width: 0;
    height: 2px;
    background: $whitest_white;
    left: 16px;
    top: 27px;
    position: absolute;
    transition: all 600ms ease;
  }
}


/* ########## NAVIGATION MOBILE ########## */
@media (max-width: $mobile-bp) {
  header {
    margin: 15px;
    width: calc(100% - 30px);
  }

  nav {
    display: block;
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    left: 100%;
    background: white;
    float: none;
    margin: 0;
    transition: left 300ms;

    &.menu-open {
      left: 80px;
      transition: left 300ms;
    }

    ul {
      margin-top: 76px;

      li:not(.underline) {
        position: relative;
        width: 100%;
        padding: 0;
        font-size: 23px;
        color: $deep_midnight;

        a {
          display: block;
          padding: 20px 30px 20px 50px;
        }

        &.active {
          font-weight: 800;
        }

        &:last-of-type {
          margin-top: 20px;

          .vr {
            background: $deep_midnight;
            height: 1px;
            width: 80px;
            position: absolute;
            left: 50px;
            top: 0;
          }
        }

      }

      li.underline {
        display: none;
      }
    }
  }
}

@import "hamburger";
